Bug 1148481 - Review Request: golang-googlecode-go-exp - Experimental tools and packages for Go
Summary: Review Request: golang-googlecode-go-exp - Experimental tools and packages fo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-01 14:35 UTC by Jan Chaloupka
Modified: 2015-01-03 00:11 UTC (History)
2 users (show)

Fixed In Version: golang-googlecode-go-exp-0-0.4.hg77a5f324d8f5.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-19 13:24:07 UTC
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2014-10-01 14:35:14 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-googlecode-go-exp/golang-googlecode-go-exp.spec
SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-googlecode-go-exp/golang-googlecode-go-exp-0-0.1.hgbd8df7009305.fc21.src.rpm
Description: Experimental tools and packages for Go
Fedora Account System Username: jchaloup

Koji: Experimental tools and packages for Go

$ rpmlint golang-googlecode-go-exp.spec /root/rpmbuild/SRPMS/golang-googlecode-go-exp-0-0.1.hgbd8df7009305.fc21.src.rpm /root/rpmbuild/RPMS/noarch/golang-googlecode-go-exp-devel-0-0.1.hgbd8df7009305.fc21.noarch.rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Jan Chaloupka 2014-10-02 09:13:58 UTC
Koji: koji.fedoraproject.org/koji/taskinfo?taskID=7745474

Comment 2 Jan Chaloupka 2014-10-02 09:14:27 UTC
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=7745474

Comment 3 Lokesh Mandvekar 2014-10-07 11:52:07 UTC
go test should be in %check

we may need winfsnotify later (maybe if we're building for windows), but safe to skip for now.

update -devel description like in previous BZs.

Comment 4 Jan Chaloupka 2014-10-07 12:12:10 UTC
Done. URLs are the same.

Comment 5 Lokesh Mandvekar 2014-10-07 12:19:49 UTC
Ahh ... since %{project} is 'p' in googlecode based repos, perhaps -devel description should have something like %{provider}/%{project}/%{repo}, though it's pretty negligible anyway. Either way looks good.


Package approved. specfile conforms to current Go packaging draft.

Comment 6 Jan Chaloupka 2014-10-07 13:03:06 UTC
Maybe golang(%{import}) would be the solution for all cases.

Comment 7 Lokesh Mandvekar 2014-10-07 13:18:31 UTC
sure, that'll work (in this case I guess we'd only use %{import_path}, and not %{import_path}/$dir for all dirs). Either way, good to proceed with scm request on this one.

Comment 8 Jan Chaloupka 2014-10-07 13:25:58 UTC
New Package SCM Request
=======================
Package Name: golang-googlecode-go-exp
Short Description: Experimental tools and packages for Go
Upstream URL: https://code.google.com/p/go.exp/
Owners: jchaloup lsm5 vbatts
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 9 Gwyn Ciesla 2014-10-07 16:54:33 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-10-09 08:58:32 UTC
golang-googlecode-go-exp-0-0.1.hgbd8df7009305.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-go-exp-0-0.1.hgbd8df7009305.el6

Comment 11 Fedora Update System 2014-10-09 08:59:15 UTC
golang-googlecode-go-exp-0-0.1.hgbd8df7009305.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-go-exp-0-0.1.hgbd8df7009305.fc20

Comment 12 Fedora Update System 2014-10-09 08:59:47 UTC
golang-googlecode-go-exp-0-0.1.hgbd8df7009305.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-go-exp-0-0.1.hgbd8df7009305.fc21

Comment 13 Fedora Update System 2014-10-09 19:51:04 UTC
golang-googlecode-go-exp-0-0.1.hgbd8df7009305.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 14 Fedora Update System 2014-10-19 13:24:07 UTC
golang-googlecode-go-exp-0-0.1.hgbd8df7009305.fc20 has been pushed to the Fedora 20 stable repository.

Comment 15 Fedora Update System 2014-10-28 11:03:14 UTC
golang-googlecode-go-exp-0-0.1.hgbd8df7009305.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 16 Fedora Update System 2014-11-09 11:28:10 UTC
golang-googlecode-go-exp-0-0.2.hgbd8df7009305.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-go-exp-0-0.2.hgbd8df7009305.fc20

Comment 17 Fedora Update System 2014-11-09 11:30:53 UTC
golang-googlecode-go-exp-0-0.2.hgbd8df7009305.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-go-exp-0-0.2.hgbd8df7009305.fc21

Comment 18 Fedora Update System 2014-11-09 11:31:13 UTC
golang-googlecode-go-exp-0-0.2.hgbd8df7009305.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-go-exp-0-0.2.hgbd8df7009305.el6

Comment 19 Fedora Update System 2014-11-14 12:04:38 UTC
golang-googlecode-go-exp-0-0.2.hgbd8df7009305.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2014-11-18 12:12:52 UTC
golang-googlecode-go-exp-0-0.2.hgbd8df7009305.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-11-24 11:28:22 UTC
golang-googlecode-go-exp-0-0.3.hgbd8df7009305.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-go-exp-0-0.3.hgbd8df7009305.fc20

Comment 22 Fedora Update System 2014-11-24 11:28:44 UTC
golang-googlecode-go-exp-0-0.3.hgbd8df7009305.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-go-exp-0-0.3.hgbd8df7009305.fc21

Comment 23 Fedora Update System 2014-11-24 11:29:30 UTC
golang-googlecode-go-exp-0-0.3.hgbd8df7009305.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-go-exp-0-0.3.hgbd8df7009305.el6

Comment 24 Fedora Update System 2014-12-04 06:20:46 UTC
golang-googlecode-go-exp-0-0.3.hgbd8df7009305.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2014-12-06 10:23:21 UTC
golang-googlecode-go-exp-0-0.3.hgbd8df7009305.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2014-12-09 16:41:36 UTC
golang-googlecode-go-exp-0-0.4.hg77a5f324d8f5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-go-exp-0-0.4.hg77a5f324d8f5.fc20

Comment 27 Fedora Update System 2014-12-09 16:42:08 UTC
golang-googlecode-go-exp-0-0.4.hg77a5f324d8f5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-go-exp-0-0.4.hg77a5f324d8f5.fc21

Comment 28 Fedora Update System 2014-12-09 16:43:31 UTC
golang-googlecode-go-exp-0-0.4.hg77a5f324d8f5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-go-exp-0-0.4.hg77a5f324d8f5.el6

Comment 29 Fedora Update System 2014-12-11 06:32:55 UTC
golang-googlecode-go-exp-0-0.3.hgbd8df7009305.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2014-12-20 08:39:23 UTC
golang-googlecode-go-exp-0-0.4.hg77a5f324d8f5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2014-12-20 08:52:01 UTC
golang-googlecode-go-exp-0-0.4.hg77a5f324d8f5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2015-01-03 00:11:59 UTC
golang-googlecode-go-exp-0-0.4.hg77a5f324d8f5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.